package TiVo::Slice::Record::Program;

use strict;
use base qw(TiVo::Slice::Record);

our $VERSION =
    (split / /, q$Id: Program.pm,v 1.1 2001/12/02 11:00:45 grant Exp $)[2];

sub field_defs {
    (
     title       => [0x45, 'String'],
     is_episode  => [0xB4, 'Number'],
     description => [0x4D, 'String'],
     series      => [0x4A, 'SeriesIndex'],
     episode     => [0x75, 'String'],
     genre       => [0x9C, 'Number'],
    );
}

sub new {
    my $class = shift;
    my $self = $class->SUPER::new(@_);
    $self->_code(0x103);
    return $self;
}

1;


